Skip to main content
GET
/
integrations
/
{integration_token}
Get integration by token
curl --request GET \
  --url https://api.vantage.sh/v2/integrations/{integration_token} \
  --header 'Authorization: Bearer <token>'
{
  "token": "accss_crdntl_f45057cd18834fc7",
  "provider": "gcp",
  "account_identifier": "project_id-4d4c6f0b",
  "status": "imported",
  "last_updated": "2024-07-30T15:30:22Z",
  "workspace_tokens": [
    "wrkspc_d69f96653fb985d6"
  ],
  "created_at": "2024-07-29T21:41:49Z",
  "managed_account_tokens": [
    "acct_1a2b3c4d5e6f7890"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

integration_token
string
required

Response

Integration model

token
string
required
provider
string
required

The name of the Integration.

Example:

"AWS"

account_identifier
string | null
required

The account identifier. For GCP this is the billing Account ID, for Azure this is the account ID

Example:

"011389-EF4C3E-3ED7AE"

status
enum<string>
required

The status of the Integration. Can be 'connected', 'error', 'pending', 'importing', 'imported', or 'disconnected'.

Available options:
connected,
error,
pending,
importing,
imported,
disconnected
Example:

"imported"

workspace_tokens
string[]
required

The tokens for any Workspaces that the account belongs to.

created_at
string
required

The date and time, in UTC, the Integration was created. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

managed_account_tokens
string[]
required

The tokens for any Managed Accounts that are associated with the Integration.

last_updated
string | null

The date and time, in UTC, when the Integration was last updated. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"